import request from '@/utils/request';

//获取主设备导航树
export function getSubstationMainDeviceTree(params:any){
  return request({
    url: '/basedata/substation-maindevice/getMainDeviceNaviTree' ,
    method: 'get',
    params:params
  });
}

export function getDeviceByMainDevice(params: any) {
  return request({
    url: '/patroltasks/task-todo/getDeviceByMainDevice',
    method: 'get',
    params: params
  });
}
//数据对比分析曲线
export function getAnalysisCurve(params: any) {
  return request({
    url: '/patroltasks/task-todo/getAnalysisCurve',
    method: 'get',
    params: params
  });
}
//数据对比分析列表
export function getTaskResultList(params: any) {
  return request({
    url: '/patroltasks/task-todo/getComparativeAnalysisPage',
    method: 'get',
    params: params
  });
}

//导出报告
export function exportTaskResultList(queryParams: any) {
  return request({
    url: '/patroltasks/task-todo/exportComparativeAnalysis',
    method: 'get',
    params: queryParams,
    responseType: 'arraybuffer'
  });
}

//查看浏览报告
export function previewTaskResultList(params: any) {
  return request({
    url: '/patroltasks/task-todo/previewComparativeAnalysis',
    method: 'get',
    params: params,
  });
}

